For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
      • GETList tools
      • GETGet tool
      • POSTCreate tool
      • PATCHUpdate tool
      • DELDelete tool
      • GETGet dependent agents
      • GETGet tool executions
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsTools

Delete tool

DELETE
/v1/convai/tools/:tool_id
DELETE
/v1/convai/tools/:tool_id
$curl -X DELETE https://api.elevenlabs.io/v1/convai/tools/tool_id
Delete tool from the workspace.
Was this page helpful?
Previous

Get dependent agents

Next
Built with

Path parameters

tool_idstringRequired
ID of the requested tool.

Headers

xi-api-keystringOptional

Query parameters

forcebooleanOptionalDefaults to false
If set to true, the tool will be deleted regardless of whether it is used by any agents and it will be removed from the dependent agents and branches.

Response

Successful Response

Errors

422
Unprocessable Entity Error